#!/bin/bash
echo "Informix Speedtest"
# Als erstes Laden wir uns die Umgebungsvariablen
source /opt/scripts/informix.sh

cat <<EOF > /opt/scripts/speedtest.sql
DATABASE kmt;
SET EXPLAIN ON;
SELECT CURRENT YEAR TO FRACTION(5) FROM systables where tabid = 1;
SELECT gf_pos.gpo_artid, gf_pos.gpo_bez1, artikel.art_bez2
FROM gf_pos
LEFT JOIN artikel ON gf_pos.gpo_artid = artikel.art_artid
WHERE gpo_bez1 LIKE '%e%' OR artikel.art_bez2 LIKE '%H%'
ORDER BY gpo_bez1 DESC
;
SELECT CURRENT YEAR TO FRACTION(5) FROM systables where tabid = 1;
CLOSE DATABASE;
EOF

onstat -z

sleep 2

time dbaccess - /opt/scripts/speedtest.sql > /dev/null

rm /opt/scripts/speedtest.sql

sleep 5

onstat -p
