# Speedtest for Windows 12.10 / Ubuntu 14.10 comparison
write-host "Informix Speedtest"
new-item c:\temp\speedtest.sql
set-content c:\temp\speedtest.sql "
DATABASE kmt;
SET EXPLAIN ON ;
SELECT CURRENT YEAR TO FRACTION(5) FROM systables where tabid = 1; 
SELECT gf_pos.gpo_artid, gf_pos.gpo_bez1, artikel.art_bez2 
FROM gf_pos
LEFT JOIN artikel ON gf_pos.gpo_artid = artikel.art_artid
WHERE gpo_bez1 LIKE '%e%' OR artikel.art_bez2 LIKE '%H%'
ORDER BY gpo_bez1 DESC
;
SELECT CURRENT YEAR TO FRACTION(5) FROM systables where tabid = 1;
CLOSE DATABASE;"

onstat -z

start-sleep -s 2

(measure-command {dbaccess - c:\temp\speedtest.sql}).ToString()
#dbaccess - c:\temp\speedtest.sql > $null
write-host "Queryexecutiontime"

start-sleep -s 15

onstat -p

remove-item 'c:\temp\speedtest.sql'

read-host -prompt "press key to exit"